LibreOffice: cppu::PartialWeakComponentImplHelper12< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10, Ifc11, Ifc12 > Class Template Reference

LibreOffice LibreOffice 4.4 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | List of all members
cppu::PartialWeakComponentImplHelper12< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10, Ifc11, Ifc12 > Class Template Reference

Same as WeakComponentImplHelper12, except doesn't implement addEventListener, removeEventListener and dispose. More...

`#include <compbase12.hxx>`

Inheritance diagram for cppu::PartialWeakComponentImplHelper12< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10, Ifc11, Ifc12 >:

## Public Member Functions
| PartialWeakComponentImplHelper12 (::osl::Mutex &rMutex) throw ()
virtual ::com::sun::star::uno::Any | queryInterface (::com::sun::star::uno::Type const &rType) SAL_OVERRIDE throw (::com::sun::star::uno::RuntimeException, std::exception)
virtual void | acquire () SAL_OVERRIDE throw ()
virtual void | release () SAL_OVERRIDE throw ()
virtual ::com::sun::star::uno::Sequence< ::com::sun::star::uno::Type > | getTypes () SAL_OVERRIDE throw (::com::sun::star::uno::RuntimeException, std::exception)
virtual ::com::sun::star::uno::Sequence< sal_Int8 > | getImplementationId () SAL_OVERRIDE throw (::com::sun::star::uno::RuntimeException, std::exception)

## Detailed Description

### template<class Ifc1, class Ifc2, class Ifc3, class Ifc4, class Ifc5, class Ifc6, class Ifc7, class Ifc8, class Ifc9, class Ifc10, class Ifc11, class Ifc12>
class cppu::PartialWeakComponentImplHelper12< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10, Ifc11, Ifc12 >

Same as WeakComponentImplHelper12, except doesn't implement addEventListener, removeEventListener and dispose.

This requires derived classes to implement those three methods. This makes it possible to implement classes which are required to implement methods from multiple bases which have different addEventListener/removeEventListener signatures without triggering the g++ overloaded-virtual warning

## Constructor & Destructor Documentation

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 , class Ifc9 , class Ifc10 , class Ifc11 , class Ifc12 >

cppu::PartialWeakComponentImplHelper12< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10, Ifc11, Ifc12 >::PartialWeakComponentImplHelper12 | ( | ::osl::Mutex & | rMutex | ) |
throw | ( |
| ) |  |
| inline

## Member Function Documentation

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 , class Ifc9 , class Ifc10 , class Ifc11 , class Ifc12 >

virtual void cppu::PartialWeakComponentImplHelper12< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10, Ifc11, Ifc12 >::acquire | ( |  | ) |
throw | ( |
| ) |  |
| inlinevirtual

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 , class Ifc9 , class Ifc10 , class Ifc11 , class Ifc12 >

virtual ::com::sun::star::uno::Sequence< sal_Int8 > cppu::PartialWeakComponentImplHelper12< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10, Ifc11, Ifc12 >::getImplementationId | ( |  | ) |
throw | ( | ::com::sun::star::uno::RuntimeException,
|  | std::exception
| ) |  |
| inline

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 , class Ifc9 , class Ifc10 , class Ifc11 , class Ifc12 >

virtual ::com::sun::star::uno::Sequence< ::com::sun::star::uno::Type > cppu::PartialWeakComponentImplHelper12< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10, Ifc11, Ifc12 >::getTypes | ( |  | ) |
throw | ( | ::com::sun::star::uno::RuntimeException,
|  | std::exception
| ) |  |
| inline

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 , class Ifc9 , class Ifc10 , class Ifc11 , class Ifc12 >

virtual ::com::sun::star::uno::Any cppu::PartialWeakComponentImplHelper12< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10, Ifc11, Ifc12 >::queryInterface | ( | ::com::sun::star::uno::Type const & | rType | ) |
throw | ( | ::com::sun::star::uno::RuntimeException,
|  | std::exception
| ) |  |
| inline

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 , class Ifc9 , class Ifc10 , class Ifc11 , class Ifc12 >

virtual void cppu::PartialWeakComponentImplHelper12< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10, Ifc11, Ifc12 >::release | ( |  | ) |
throw | ( |
| ) |  |
| inlinevirtual

The documentation for this class was generated from the following file:

- cppuhelper/compbase12.hxx